Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transport
Interface MuleMessageFactory

All Known Implementing Classes:
  AbstractMuleMessageFactory, AjaxMuleMessageFactory, AxisMuleMessageFactory, DefaultMuleMessageFactory, FileContentsMuleMessageFactory, FileMuleMessageFactory, FtpMuleMessageFactory, HttpMuleMessageFactory, JmsMuleMessageFactory, MailMuleMessageFactory, RmiMuleMessageFactory, ServletMuleMessageFactory, UdpMuleMessageFactory, XmppMuleMessageFactory

    public interface MuleMessageFactory

`MuleMessageFactory` is a factory for creating a `MuleMessage` from a transport's native message format (e.g. JMS message).

Method Summary
`MuleMessage` | `create(Object transportMessage, MuleMessage previousMessage, String encoding)` Creates a `MuleMessage` instance by extracting the payload from `transportMessage`.
`MuleMessage` | `create(Object transportMessage, String encoding)` Creates a `MuleMessage` instance from `transportMessage` by extracting its payload and, if available, any relevant message properties and attachments.

Method Detail

### create

    MuleMessage create(Object transportMessage,
                       String encoding)
                       throws Exception

  Creates a `MuleMessage` instance from `transportMessage` by extracting its payload and, if available, any relevant message properties and attachments.

  Throws:
    `Exception`

### create

    MuleMessage create(Object transportMessage,
                       MuleMessage previousMessage,
                       String encoding)
                       throws Exception

  Creates a `MuleMessage` instance by extracting the payload from `transportMessage`. Additional message properties will be taken from `previousMessage`.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.